Page MenuHomePhabricator

Gerrit is OOMing
Closed, DuplicatePublic

Description

Needs a restart. Probably once the deploy window and security release are done.

Event Timeline

Legoktm triaged this task as Unbreak Now! priority.Dec 18 2020, 12:18 AM
Legoktm created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2020, 12:18 AM

Icinga downtime set by legoktm@cumin1001 for 0:10:00 1 host(s) and their services with reason: OOM

gerrit1001.wikimedia.org

Mentioned in SAL (#wikimedia-operations) [2020-12-18T01:34:53Z] <legoktm> restarted gerrit (T270451)

Legoktm closed this task as Resolved.Dec 18 2020, 5:23 AM
Legoktm claimed this task.

Will file a follow-up for better monitoring.

hashar reopened this task as Open.Dec 19 2020, 3:17 PM
hashar added a subscriber: hashar.

This issue is still ongoing, we had Gerrit going OOM with the exact same symptom this week. The next steps are:

  • switch it from Java 8 to Java 11
  • upgrade to Gerrit 3.3

Sorry I have mistaken this task with T263008 :D

hashar closed this task as a duplicate of Restricted Task.Dec 19 2020, 3:19 PM